package com.bonus.canteen.menu.service.impl;

import java.util.List;
import com.bonus.common.core.exception.ServiceException;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.canteen.menu.mapper.MenuNutritionTypeMapper;
import com.bonus.canteen.menu.domain.MenuNutritionType;
import com.bonus.canteen.menu.service.IMenuNutritionTypeService;

/**
 * 营养基础类型Service业务层处理
 * 
 * @author xsheng
 * @date 2025-04-03
 */
@Service
public class MenuNutritionTypeServiceImpl implements IMenuNutritionTypeService {
    @Autowired
    private MenuNutritionTypeMapper menuNutritionTypeMapper;

    /**
     * 查询营养基础类型
     * 
     * @param id 营养基础类型主键
     * @return 营养基础类型
     */
    @Override
    public MenuNutritionType selectMenuNutritionTypeById(Long id) {
        return menuNutritionTypeMapper.selectMenuNutritionTypeById(id);
    }

    /**
     * 查询营养基础类型列表
     * 
     * @param menuNutritionType 营养基础类型
     * @return 营养基础类型
     */
    @Override
    public List<MenuNutritionType> selectMenuNutritionTypeList(MenuNutritionType menuNutritionType) {
        return menuNutritionTypeMapper.selectMenuNutritionTypeList(menuNutritionType);
    }

    /**
     * 新增营养基础类型
     * 
     * @param menuNutritionType 营养基础类型
     * @return 结果
     */
    @Override
    public int insertMenuNutritionType(MenuNutritionType menuNutritionType) {
        menuNutritionType.setCreateTime(DateUtils.getNowDate());
        try {
            return menuNutritionTypeMapper.insertMenuNutritionType(menuNutritionType);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 修改营养基础类型
     * 
     * @param menuNutritionType 营养基础类型
     * @return 结果
     */
    @Override
    public int updateMenuNutritionType(MenuNutritionType menuNutritionType) {
        menuNutritionType.setUpdateTime(DateUtils.getNowDate());
        try {
            return menuNutritionTypeMapper.updateMenuNutritionType(menuNutritionType);
        } catch (Exception e) {
            throw new ServiceException("错误信息描述");
        }
    }

    /**
     * 批量删除营养基础类型
     * 
     * @param ids 需要删除的营养基础类型主键
     * @return 结果
     */
    @Override
    public int deleteMenuNutritionTypeByIds(Long[] ids) {
        return menuNutritionTypeMapper.deleteMenuNutritionTypeByIds(ids);
    }

    /**
     * 删除营养基础类型信息
     * 
     * @param id 营养基础类型主键
     * @return 结果
     */
    @Override
    public int deleteMenuNutritionTypeById(Long id) {
        return menuNutritionTypeMapper.deleteMenuNutritionTypeById(id);
    }
}
